<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://example.com
 * @since             1.0.0
 * @package           leanpress
 *
 * @wordpress-plugin
 * Plugin Name:      LeanPress
 * Plugin URI:        http://example.com/leanpress-uri/
 * Description:       Leanpub on WordPress. Import books, view them. List coupons and edit each one of them.
 * Version:           1.0.0
 * Author:            Igor Benić
 * Author URI:        http://www.ibenic.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       leanpress
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-leanpress-activator.php
 */
function activate_leanpress() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-leanpress-activator.php';
	leanpress_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-leanpress-deactivator.php
 */
function deactivate_leanpress() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-leanpress-deactivator.php';
	leanpress_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_leanpress' );
register_deactivation_hook( __FILE__, 'deactivate_leanpress' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-leanpress.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_leanpress() {

	$plugin = new LeanPress();
	$plugin->run();

}
run_leanpress();
